using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.EntityClient;
using System.Data.Objects.DataClasses;

namespace DAO_GSB
{
    public partial class medecin 
    {
        public static List<int> lesDepartements()
        {
           bdMedecinsEntities contexte =  Contexte.getContexte();
           var req = from m in contexte.medecin
                     select m.departement;
           var liste = req.Distinct().ToList();
           liste.Sort();
           return liste;
        }
        public static List<medecin> lesMedecins(int numDepartement)
        {
            bdMedecinsEntities contexte = Contexte.getContexte();
            var req = from m in contexte.medecin
                      where m.departement==numDepartement
                      select m;
            return req.ToList();
        }
        public static List<medecin> lesMedecins(string nom)
        {
            bdMedecinsEntities contexte = Contexte.getContexte();
            var req = from m in contexte.medecin
                      where m.nom.ToUpper() == nom.ToUpper()
                      select m;
            return req.ToList();
        }
        public static medecin Createmedecin(string nom, string prenom, string adresse, string tel, string ville, string specialite, int departement)
        {
            medecin m = new medecin();
            m.nom = nom; // pas d'dentifiant puisque les id sont auto-incrémentés dans MySql
            m.prenom = prenom;
            m.tel = tel;
            m.specialiteComplementaire = specialite;
            m.departement = departement;
            m.adresse = adresse;
            return m;
        }
        //public static void ajouter(string nom, string prenom, string adresse, string tel, string ville, string specialite, int departement)
        //{
        //    bdMedecinsEntities contexte = Contextes.getContexte();
        //    medecin m = new medecin();
        //    m.nom = nom; // pas d'dentifiant puisque les id sont auto-incrémentés dans MySql
        //    m.prenom = prenom;
        //    m.tel = tel;
        //    m.specialiteComplementaire = specialite;
        //    m.departement = departement;
        //    m.adresse = adresse;
         //   contexte.medecin.AddObject(m);
         //   contexte.SaveChanges();     // sauvegarde en base de données
        //}
    }
}
